# __gnu_cxx::forced_exception_error Struct Reference
[Exceptions]

Thown by throw_allocator. More...

Inheritance diagram for __gnu_cxx::forced_exception_error:

List of all members.

## Public Member Functions

- virtual const char * what () const throw ()

## Detailed Description

Thown by throw_allocator.

Definition at line 80 of file throw_allocator.h.

## Member Function Documentation

virtual const char* std::exception::what | ( |  | ) | const throw ()`[virtual, inherited]`

Returns a C-style character string describing the general cause of the current error.

Reimplemented in std::bad_exception, std::bad_alloc, std::bad_cast, std::bad_typeid, std::lock_error, std::logic_error, std::runtime_error, and std::ios_base::ios_base::failure.

The documentation for this struct was generated from the following file:

- throw_allocator.h